function [Dksvd,g,err]=KsvdTr(tr_sig_matrix)

addpath('/user/eepgr/tx00001/Desktop/FinalCode_UBSS/ksvd','/user/eepgr/tx00001/Desktop/FinalCode_UBSS/omp')

params.data=tr_sig_matrix;
params.Tdata = 10;
params.dictsize = 512;
params.iternum = 30;
params.memusage = 'high';
DCT = opDCT(512);
params.initdict = opToMatrix(DCT);
[Dksvd,g,err] = ksvd(params,'irt');